<?php if (!defined('THINK_PATH')) exit(); /*a:3:{s:40:"./app/home/view/mobile/product_show.html";i:1563891413;s:56:"/www/thinkphp/one_product/app/home/view/mobile/head.html";i:1560677269;s:56:"/www/thinkphp/one_product/app/home/view/mobile/foot.html";i:1592458933;}*/ ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title><?php if($info['title']): ?><?php echo $info['title']; elseif($title): ?><?php echo $title; else: ?><?php echo $sys['title']; endif; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />
    <link rel="stylesheet" href="/public/static/mobile/css/style.css">
    <link rel="stylesheet" href="/public/static/mobile/css/swiper.min.css">
    <script type="text/javascript" src="/public/static/mobile/js/jquery.min.js"></script>
    <script type="text/javascript" src="/public/static/mobile/js/layer/layer.js"></script>
    <script type="text/javascript" src="/public/static/mobile/js/common.js"></script>
    <script src="/public/static/home/js/layui/layui.js"></script>
    <script>
        var base_image_url = "<?php echo config('img_address'); ?>/public";
    </script>
</head>
<body>
<div class="body">
    <div class="header">
        <div class="menu">
            <a href="javascript:;" class="back-btn"></a>
        </div>
        <div class="logo">商品详情</div>
        <div class="user"><a href="<?php echo url('user/index/index'); ?>"></a></div>
    </div>
    <div class="wrap">
        <div class="goods-img swiper-container">
            <ul class="swiper-wrapper">
                <li class="swiper-slide"><img src="<?php echo imgUrl($info['thumb']); ?>"></li>
                <?php if(is_array($info['pics']) || $info['pics'] instanceof \think\Collection || $info['pics'] instanceof \think\Paginator): $i = 0; $__LIST__ = $info['pics'];if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$v): $mod = ($i % 2 );++$i;?>
                <li class="swiper-slide"><img src="<?php echo imgUrl($v); ?>"></li>
                <?php endforeach; endif; else: echo "" ;endif; ?>
            </ul>
            <div class="img-btn">
                <span class="active"></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
        </div>
        <div class="goods-info">
            <h3><?php echo $info['title']; ?></h3>
            <div class="price">价格：￥<?php echo $info['price']; ?></div>
            <div class="info">
                <p class="tip">运费：<?php if(($info['shipping_fee'] > 0)): ?>￥<?php echo $info['shipping_fee']; else: ?>免费<?php endif; ?></p>
                <div class="num">
                    <span>购买数量：</span>
						<span>
							<input type="button" value="-" class="min">
							<input type="text" name="num" class="num" value="1">
                            <input type="hidden" name="product_id" class="num" value="<?php echo $info['id']; ?>" alt="产品ID" />
							<input type="button" value="+" class="add">
						</span>
                </div>
            </div>
        </div>
        <div class="goods-tip">
            <span class="left"><?php if(($info['shipping_fee'] > 0)): ?>&nbsp<?php else: ?>包邮<?php endif; ?></span>
            <span class="right">48小时内发货</span>
        </div>
        <div class="goods-recom">
            <div class="recom-title"><span>品牌·</span>精选推荐</div>
            <ul>
                <?php $result = db("product")->where("is_best = 1 and status=1")->limit(2)->order("listorder asc")->select();foreach ($result as $k=>$vo):?>
                <li>
                    <a href="<?php echo url('home/product/info',array('id'=>$vo['id'],'catId'=>$vo['catid'])); ?>">
                        <p class="tit"><?php echo $vo['title']; ?></p>
                        <p class="des"><?php echo $vo['intro']; ?></p>
                        <img src="<?php echo imgUrl($vo['thumb']); ?>" alt="<?php echo $vo['intro']; ?>">
                    </a>
                </li>
                <?php endforeach ?>
            </ul>
        </div>
        <div class="goods-content">
            <div class="con-tit">
                <ul>
                    <li <?php if(!isset($_GET['page'])): ?>class="active"<?php endif; ?>><span>图文详情</span></li>
                    <li><span>产品参数</span></li>
                    <li <?php if(isset($_GET['page'])): ?>class="active"><?php endif; ?><span>宝贝评价</span></li>
                </ul>
            </div>
            <div class="con-content">
                <div class="info <?php if(!isset($_GET['page'])): ?>active<?php endif; ?>">
                    <?php echo $info['content']; ?>
                </div>
                <div class="parameter">
                    <?php echo $info['attr']; ?>
                </div>
                <div class="comment <?php if(isset($_GET['page'])): ?>active<?php endif; ?>">
                    <div class="com-tit">
                        <p><input type="radio" id="lb1" name="chk" <?php if(empty($_GET['img']) || (($_GET['img'] instanceof \think\Collection || $_GET['img'] instanceof \think\Paginator ) && $_GET['img']->isEmpty())): ?>checked<?php endif; ?>><label for="lb1">全部</label></p>
                        <p><input type="radio" id="lb3" name="chk" <?php if(!(empty($_GET['img']) || (($_GET['img'] instanceof \think\Collection || $_GET['img'] instanceof \think\Paginator ) && $_GET['img']->isEmpty()))): ?>checked<?php endif; ?>><label for="lb3">有图（<?php echo $info['commentPicTotal']; ?>）</label></p>
                    </div>
                    <ul>
                        <?php if(is_array($dlist) || $dlist instanceof \think\Collection || $dlist instanceof \think\Paginator): $i = 0; $__LIST__ = $dlist;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo): $mod = ($i % 2 );++$i;?>
                        <li>
                            <p class="head"><img src="<?php echo imgUrl($vo['avatar']); ?>" alt=""><span>会员昵称：<?php echo $vo['username']; ?></span></p>
                            <p class="text"><?php echo $vo['content']; ?></p>
                            <p class="date"><?php echo date('Y-m-d', $vo['create_time']); ?></p>
                            <p class="imgs">
                                <?php if(!empty($vo['pics'])){ $pics = explode(";", $vo['pics']); } else { $pics = []; } foreach($pics as $pic){ ?>
                                <img src="<?php echo imgUrl($pic); ?>" alt="<?php echo $pic; ?>">
                                <?php } ?>
                            </p>
                            <!-- 追评 -->
                            <!--<p class="more">10天后追评</p>
                            <p class="text">大米非常好吃，已经快吃完了，准备再买十斤</p>-->
                        </li>
                        <?php endforeach; endif; else: echo "" ;endif; ?>
                    </ul>
                </div>
            </div>
        </div>
        <div class="goods-btn">
            <a href="javascript:;" class="cart"><i></i>加入购物车</a>
            <a href="javascript:;" class="buy">立即购买</a>
        </div>
    </div>
<script type="text/javascript" src="/public/static/mobile/js/layer/layer.js"></script>
<script type="text/javascript">
    $(function(){
        <?php if(isset($_GET['page'])): ?>
        location.hash="comment";
        <?php endif; ?>
        $('.shop-item li').click(function(){
            $(this).addClass('active').siblings().removeClass('active');
            var i = $(this).index();
            $('.shop-content>div').eq(i).show().siblings().hide();
        });

        //产品加减
        $("input.add").click(function(){
            var num = $("input[name='num']").val();
            $("input[name='num']").val(parseInt(num) + 1);
        });

        $("input.min").click(function(){
            var num = $("input[name='num']").val();
            var number = parseInt(num) - 1;
            if (number <= 1) number = 1;
            $("input[name='num']").val(number);
        });

        //加入购物车
        $("a.cart").click(function(){
            var num = $("input[name='num']").val();
            var product_id = $("input[name='product_id']").val();
            $.ajax({
                'data' : {'num' : num, 'product_id' : product_id},
                'dataType' : 'json',
                'url' : "<?php echo url('user/cart/add'); ?>",
                'type' : 'POST',
                success : function(data){
                    if (data.code == 1) {
                        layer.open({
                            content: data.msg
                            ,skin: 'msg'
                            ,time: 2 //2秒后自动关闭
                        })
                    } else {
                        layer.open({
                            content: data.msg
                            ,skin: 'msg'
                            ,time: 2 //2秒后自动关闭
                        })
                    }
                },
                error : function(){

                }
            });
        });

        //立即购买
        $("a.buy").click(function(){
            var num = $("input[name='num']").val();
            var product_id = $("input[name='product_id']").val();
            location.href = "<?php echo url('user/cart/buy'); ?>?product_id=" + product_id + "&num=" + num;
        });

        $("#lb1").click(function(){
            var url = document.location.toString();
            var arrUrl = url.split("?");
            var para = arrUrl[0];
            location.href = para + "?page=1";
        });

        $("#lb3").click(function(){
            var url = document.location.toString();
            var arrUrl = url.split("?");
            var para = arrUrl[0];
            location.href = para + "?page=1&img=1";
        })
    })
</script>
<div class="footer">
    <ul>
        <li <?php if(request()->module() == 'home' && request()->controller() == 'Index'): ?>class="active"<?php endif; ?>><a href="<?php echo url('home/index/index'); ?>"><i class="home"></i><span>首页</span></a></li>
        <li <?php if(request()->module() == 'home' && request()->controller() != 'Index'): ?>class="active"<?php endif; ?>><a href="<?php echo url('home/onlinemall/index',['catId'=>7] ); ?>"><i class="goods"></i><span>全部商品</span></a></li>
        <li <?php if(request()->module() == 'user' && request()->controller() == 'Cart'): ?>class="active"<?php endif; ?>><a href="<?php echo url('user/cart/index'); ?>"><i class="cart"></i><span>购物车</span></a></li>
        <li <?php if(request()->module() == 'user' && request()->controller() != 'Cart'): ?>class="active"<?php endif; ?>><a href="<?php echo url('user/index/index'); ?>"><i class="user"></i><span>会员中心</span></a></li>
    </ul>
</div>
</div>
<!-- 右侧悬浮 -->
<style>
    #service {
        width: 47px;
        height: 49px;
        position: fixed;
        bottom: 150px;
        right: 0px;
        z-index: 100;
    }
    #service li {
        width: 47px;
        height: 49px;
    }
    #service li a {
        height: 49px;
        float: right;
        display: block;
        min-width: 47px;
        max-width: 161px;
    }
    #service li a .hides {
        margin-right: -143px;
        cursor: pointer;
        cursor: hand;
    }
    #service li img {
        float: right;
    }
    #service li a .shows {
        display: block;
    }
    .p1 {
        width: 47px;
        height: 49px;
        float: left;
    }
    .p2 {
        width: 112px;
        background-color: #A7D2A9;
        height: 47px;
        margin-left: 47px;
        border: 1px solid #8BC48D;
        text-align: center;
        line-height: 47px;
    }
</style>
<div id="service">
    <ul style="list-style: none;">
        <li>
            <a href="javascript:;">
                <div class="hides" style="width:161px;display:none;">
                    <div class="hides p1">
                        <img src="/public/static/service/images/ll04.png">
                    </div>
                    <div class="hides p2" id="buy-1" data-group="1">
                        <span style="color:#FFF;font-size:13px">客服</span>
                    </div>
                </div>
                <img src="/public/static/service/images/l04.png" width="47" height="49" class="shows" />
            </a>
        </li>

        <!--<li>
            <a href="javascript:;">
                <div class="hides" style="width:161px;display:none;">
                    <div class="hides p1">
                        <img src="/static/demo/images/ll04.png">
                    </div>
                    <div class="hides p2" id="buy-2" data-group="2">
                        <span style="color:#FFF;font-size:13px">售后客服</span>
                    </div>
                </div>
                <img src="/static/demo/images/l04.png" width="47" height="49" class="shows" />
            </a>
        </li>-->

        <!--<li id="btn">
            <a id="top_btn">
                <div class="hides" style="width:161px;display:none">
                    <img src="/static/demo/images/ll06.png" width="161" height="49" />
                </div>
                <img src="/static/demo/images/l06.png" width="47" height="49" class="shows" />
            </a>
        </li>-->
    </ul>
</div>
<!-- 右侧悬浮 -->
<!-- 图片轮播 -->
<script type="text/javascript" src="/public/static/mobile/js/swiper.min.js"></script>
<script src="/public/static/customer/js/whisper-tool.js"></script>
<script src="http://res.wx.qq.com/open/js/jweixin-1.4.0.js"></script>
<script type="text/javascript">
    $(function(){
        var swiper = new Swiper('.swiper-container', {
            autoplay: true,
            loop: true,
        });

        //********************************客服**********************************//
        $("#service a").hover(function() {
            if ($(this).prop("className") == "weixin_area") {
                $(this).children("img.hides").show();
            } else {
                $(this).children("div.hides").show();
                $(this).children("img.shows").hide();
                $(this).children("div.hides").animate({marginRight: '0px'}, '0');
            }
        }, function() {
            if ($(this).prop("className") == "weixin_area") {
                $(this).children("img.hides").hide();
            } else {
                $(this).children("div.hides").animate({marginRight: '-163px'}, 0, function() {
                    $(this).hide();
                    $(this).next("img.shows").show();
                });
            }
        });

        var ws = new whisper();
        var uid = "<?php echo session('user.id') ?>" ? "<?php echo session('user.id') ?>" : parseInt(Math.random() * 40) + 1;
        var name = "<?php echo session('user.username') ?>" ? "<?php echo session('user.username') ?>" : '游客' + uid;
        var avatar = "<?php echo session('user.avatar') ?>" ? "<?php echo session('user.avatar') ?>" :'/static/mobile/images/man.jpg';

        $("#buy-1,#buy-2").click(function(){
            var group = $(this).attr('data-group');
            ws.init({
                id: uid,
                url: '/',
                name: name,
                avatar: avatar,
                group: group
            });
        });

        $("#top_btn").click(function() {
            $("html,body").animate({scrollTop: 0}, 600);
        });
    })

    //微信js
    wx.config({
        debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
        appId: '<?php echo $jsApiPackage['appId']; ?>', // 必填，公众号的唯一标识
        timestamp: '<?php echo $jsApiPackage['timestamp']; ?>', // 必填，生成签名的时间戳
        nonceStr: '<?php echo $jsApiPackage['nonceStr']; ?>', // 必填，生成签名的随机串
        signature: '<?php echo $jsApiPackage['signature']; ?>',// 必填，签名
        jsApiList: [
            // 所有要调用的 API 都要加到这个列表中
            'checkJsApi',
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
        ] // 必填，需要使用的JS接口列表
    });

    wx.checkJsApi({
        jsApiList: [
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
        ],
        success: function (res) {
           // alert(JSON.stringify(res));
        }
    });



    wx.ready(function(){
        // config信息验证后会执行ready方法，所有接口调用都必须在config接口获得结果之后，config是一个客户端的异步操作，所以如果需要在页面加载时就调用相关接口，则须把相关接口放在ready函数中调用来确保正确执行。
        // 对于用户触发时才调用的接口，则可以直接调用，不需要放在ready函数中。

        //自定义“分享给朋友”及“分享到QQ”按钮的分享内容（1.4.0）
        /*wx.updateAppMessageShareData({
            title: '<?php echo $jsApiPackage['title']; ?>', // 分享标题
            desc: '<?php echo $jsApiPackage['desc']; ?>', // 分享描述
            link: '<?php echo $jsApiPackage['link']; ?>', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
            imgUrl: '<?php echo $jsApiPackage['imgUrl']; ?>', // 分享图标
            success: function () {
                // 设置成功
                alert('已分享!');
            }
        });

        //自定义“分享到朋友圈”及“分享到QQ空间”按钮的分享内容（1.4.0）
        wx.updateTimelineShareData({
            title: '<?php echo $jsApiPackage['title']; ?>', // 分享标题
            link: '<?php echo $jsApiPackage['link']; ?>', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
            imgUrl: '<?php echo $jsApiPackage['imgUrl']; ?>', // 分享图标
            success: function () {
                // 设置成功
                alert('已分享!');
            }
        });*/

        //获取“分享到朋友圈”按钮点击状态及自定义分享内容接口（即将废弃）
        wx.onMenuShareTimeline({
            title: "<?php if($info['title']): ?><?php echo $info['title']; elseif($title): ?><?php echo $title; else: ?><?php echo $jsApiPackage['title']; endif; ?>",
            link: '<?php echo $jsApiPackage['link']; ?>',
            imgUrl: '<?php echo $jsApiPackage['imgUrl']; ?>',
            trigger: function (res) {
                // 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
                //alert('用户点击分享到朋友圈!');
            },
            success: function (res) {
                //alert('已分享!');
            },
            cancel: function (res) {
                //alert('已取消!');
            },
            fail: function (res) {
                //alert(JSON.stringify(res));
            }
        });

        //获取“分享给朋友”按钮点击状态及自定义分享内容接口（即将废弃）
        wx.onMenuShareAppMessage({
            title: "<?php if($info['title']): ?><?php echo $info['title']; elseif($title): ?><?php echo $title; else: ?><?php echo $jsApiPackage['title']; endif; ?>", // 分享标题
            desc: "<?php if($info['description']): ?><?php echo $info['description']; elseif($description): ?><?php echo $description; else: ?><?php echo $jsApiPackage['description']; endif; ?>", // 分享描述
            link: '<?php echo $jsApiPackage['link']; ?>', // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
            imgUrl: "<?php if($info['thumb']): ?><?php echo imgUrl($info['thumb']); else: ?><?php echo $jsApiPackage['imgUrl']; endif; ?>", // 分享图标
            type: '', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function () {
                // 用户点击了分享后执行的回调函数
                //alert('已分享!');
            }
        });

    });

    wx.error(function(res){
        // config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名。
        console.log(res);
    });
</script>
</body>
</html>

